Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.filetransfer
Class Download

    java.lang.Object
      nextapp.echo2.app.filetransfer.Download

All Implemented Interfaces:
  java.io.Serializable, Command, RenderIdSupport

    public class Download

extends java.lang.Object
implements Command, RenderIdSupport, java.io.Serializable

A command that causes the client to download a file. Executing this `Command` via ApplicationInstance.executeCommand() will direct the client browser to download a file, as defined by the given `DownloadProvider`

See Also:
  Serialized Form

Constructor Summary
`Download()` Creates a new inactive `Download` command with no download provider.
`Download(DownloadProvider provider, boolean active)` Creates a new `Download` command with the specified prodcuer and active state.

Method Summary
`DownloadProvider` | `getProvider()` Returns the `DownloadProvider` that will provide the file download.
`java.lang.String` | `getRenderId()` Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.
`boolean` | `isActive()` Returns whether the download component is "active".
`void` | `setActive(boolean newValue)` Sets whether the download component is "active".
`void` | `setProvider(DownloadProvider newValue)` Sets the `DownloadProvider` that will provide the file download.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Download

    public Download()

  Creates a new inactive `Download` command with no download provider.

### Download

    public Download(DownloadProvider provider,
                    boolean active)

  Creates a new `Download` command with the specified prodcuer and active state.

  Parameters:
    `provider` - The `DownloadProvider` that will provide the file download.
    `active` - True if the file should be immediately downloaded by the client.

Method Detail

### getProvider

    public DownloadProvider getProvider()

  Returns the `DownloadProvider` that will provide the file download.

  Returns:
    The `DownloadProvider` that will provide the file download.

### isActive

    public boolean isActive()

  Returns whether the download component is "active". If the component is active, it will cause the client to download the file.

  Returns:
    True if the file should be immediately downloaded by the client.

### setActive

    public void setActive(boolean newValue)

  Sets whether the download component is "active". If the component is active, it will cause the client to download the file.

  Parameters:
    `newValue` - True if the file should be immediately downloaded by the client.

### setProvider

    public void setProvider(DownloadProvider newValue)

  Sets the `DownloadProvider` that will provide the file download.

  Parameters:
    `newValue` - A `DownloadProvider` that will provide the file download.

### getRenderId

    public java.lang.String getRenderId()

  Description copied from interface: `RenderIdSupport`
  Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

  Specified by:
    `getRenderId` in interface `RenderIdSupport`
  See Also:
    `RenderIdSupport.getRenderId()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD